Get activity type groups
/rest/ofscMetadata/v1/activityTypeGroups
The response contains the translations of the activity type group name in the user's language in the translation structure and in the entity fields.
Request
-
limit: integer
The number of activity type groups to be returned in the response. The minimum value that can be specified is 1. The maximum value that can be specified is 100. If the specified value is greater than 100, zero, or if no value is specified, then it defaults to 100.
-
offset: integer
The record number from which the retrieval starts. The default value is zero. If no value is specified, then it defaults to zero. The value zero indicates that the retrieval will start from the beginning of the collection.
Response
- application/json
- application/schema+json
200 Response
object-
items:
array items
-
limit:
integer
The limit value specified in the request.
-
offset:
integer
The offset value specified in the request.
-
totalResults:
integer
The total number of activity type groups in the collection.
object-
activityTypes:
array Activity Types
Title:
Activity TypesThe array of activity type objects associated with the activity type group.
-
object
Activity Type Group
Title:
Activity Type GroupThe object representing group activity types.
arrayActivity TypesobjectActivity Type Group-
label:
string
Title:
LabelMinimum Length:1Maximum Length:32The label of the activity type group. -
translations:
array Translations
Title:
TranslationsThe array of translation objects associated with the activity type group.
object-
label(required):
string
The label of the activity type object.
arrayTranslationsobject-
language(required):
string
The language code of the translated text. The code in the response is two characters long (for example, 'en', 'es').
See Supported Language Codes to view the values that are supported.
-
languageISO:
string
The ISO language code (for example, 'en-US').
-
name(required):
string
The specified name of the property translated to the language code available in the system.
Default Response
object-
detail:
string
The detailed information about the error.
-
status:
string
The HTTP status code.
-
title:
string
The summary of the error message.
-
type:
string
The URL of the page containing the error details.
Examples
The following example shows how to get a collection of activity type groups by submitting a GET request on the REST resource.
cURL command Example
The following shows an example of the cURL command.
curl -X GET "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/activityTypeGroups" -u "<CLIENT-ID>@<INSTANCE-NAME>:<CLIENT-SECRET>" -H "Accept: application/json" -H "Content-Type: application/json"
Response Header Example
The following shows an example of the response header.
HTTP/1.1 200 OK Server: nginx Date: Mon, 14 Oct 2019 11:06:34 GMT Content-Type: application/json; charset=utf-8 Connection: close
Response Body Example
The following shows an example of the response body in JSON format.
{
"hasMore": false,
"totalResults": 5,
"limit": 100,
"offset": 0,
"items": [
{
"label": "customer",
"name": "Customer",
"activityTypes": [
{
"label": "4"
},
{
"label": "5"
},
{
"label": "6"
},
{
"label": "7"
},
{
"label": "8"
},
{
"label": "installation"
},
{
"label": "Testing"
},
{
"label": "Multiday"
},
{
"label": "SDI"
}
],
"translations": [
{
"language": "en",
"name": "Customer",
"languageISO": "en-US"
},
{
"language": "es",
"name": "Cliente",
"languageISO": "es-ES"
}
],
"links": [
{
"rel": "canonical",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/activityTypeGroups/customer"
},
{
"rel": "describedby",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/metadata-catalog/activityTypeGroups"
}
]
},
{
"label": "internal",
"name": "Internal",
"activityTypes": [
{
"label": "LU"
},
{
"label": "AS"
},
{
"label": "OF"
},
{
"label": "WH"
},
{
"label": "WZ"
},
{
"label": "VH"
}
],
"translations": [
{
"language": "en",
"name": "Internal",
"languageISO": "en-US"
},
{
"language": "es",
"name": "Interno",
"languageISO": "es-ES"
}
],
"links": [
{
"rel": "canonical",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/activityTypeGroups/internal"
},
{
"rel": "describedby",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/metadata-catalog/activityTypeGroups"
}
]
}
],
"links": [
{
"rel": "canonical",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/activityTypeGroups?limit=100&offset=0"
},
{
"rel": "describedby",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/metadata-catalog/activityTypeGroups"
}
]
}